import { jsx } from "react/jsx-runtime";
import { MailboxIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Mailbox = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Mailbox", ...props, children: /* @__PURE__ */ jsx(MailboxIcon, { weight: variant }) });
  }
);
Mailbox.displayName = "Mailbox";
Object.assign(Mailbox, { isGdsIcon: true });
export {
  Mailbox
};
